
package de.ivu.elect.business.staat.boundary;

import java.util.List;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.exchange.control.AbstractExporter;
import de.ivu.elect.business.exchange.control.ExportExchange;
import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.staat.control.StaatenGruppeExportExchange;
import de.ivu.elect.business.staat.control.StaatenGruppeExportContext;
import de.ivu.elect.business.staat.entity.StaatenGruppe;

@Stateless
public class StaatenGruppeExporter extends AbstractExporter<List<StaatenGruppe>, StaatenGruppeExportContext> {

  @Inject
  private StaatenGruppeExportExchange exportExchange;

  @Inject
  private StaatenGruppeDAO staatenGruppeDAO;

  public StaatenGruppeExporter() {
    super();
  }

  @Override
  protected ExportExchange<List<StaatenGruppe>, StaatenGruppeExportContext> getExchange() {
    return exportExchange;
  }

  @Override
  protected boolean isExportHeader() {
    return true;
  }

  @Override
  protected List<StaatenGruppe> getExportObject(StaatenGruppeExportContext context) {
    if (context.getWahl() != null) {
      return staatenGruppeDAO.findByWahl(context.getWahl());
    }
    return staatenGruppeDAO.findByWahltermin(context.getWahltermin());
  }

  @Override
  protected DateiExportArt getDateiExportArt() {
    return DateiExportArt.STAATEN_GRUPPE_EXPORT;
  }
}
